Subject: Re: Action Reply

From: Sankar Raman <[email-masked]>
Date: Wed, 1 Nov 2000 09:37:22 -0500

At 12:02 PM 10/31/00 -0600, Tom-PT Taylor wrote: 

>
> Commands are executed until the first one fails.  It may therefore be quite
> typical to get a series of command results terminated by an errorDescriptor.

This would work, however I disagree with this approach as it
would be inconsistenet with the implied hierarchy of
transaction->action->command. (just like an error in
an action is indicated at the action level and not at the
transaction level). I would think

1) ErrorDesc in ActionReply pertains to the action level ONLY
independent of underlying commands. For e.g. if a
contextID is invalid, the MG does not have to bother to look
at the commands. It should be able to send an ActionReply
with the error desc and no seq of command replies as they do
not make sense. (Similar to transaction Reply that has a 
Choice of error desc or SEQ of action replies).

2) If the action is good but an individual command within the action
fails (the case you have mentioned), then the error should be indicated
in the command reply level and not the action level. 
 (again, just like an error in an action is indicated at the action level and
not at the transaction level) .For e.g.
that action reply would have no error desc instead contain (x+1) command
replies
- the first x replies for the succesful ones and the (x+1) th reply
for the failed one with the appropriate error desc.

I feel, in the ActionReply, it should be a CHOICE between 
ErrorDesc and SEQ of Command Replies. If not,
atleast make the rules between transactionreply(trans->action)
and action reply (action->command) consistent.

>
> > -----Original Message----- 
> > From: Sankar Raman
> [<mailto:[email-masked]>mailto:[email-masked]] 
> > Sent: Tuesday, October 31, 2000 11:19 AM 
> > To: [email-masked] 
> > Subject: Action Reply 
> > 
> > 
> > Referring to the standard: 
> > 
> > ActionReply ::= SEQUENCE 
> > { 
> >  contextId ContextID, 
> >  errorDescriptor ErrorDescriptor OPTIONAL, 
> >  contextReply ContextRequest OPTIONAL, 
> >  commandReply SEQUENCE OF CommandReply 
> > } 
> > 
> > Under what circumstances we could have both ErrorDescriptor 
> > and SEQ of CommandReply? Why is not ErrorDescriptor Vs 
> > SEQ of CommandReply a CHOICE ? 
> > 
> > Thanks 
> > 
> > Sankar Raman 
> > Lucent Technologies 
> >